<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="/index.css" type="text/css">
  <title>TACT - Replay</title>
</head>

<body>
  <video src="/uploads/TACTcreation_IRCAM-POMPIDOU_{{ id }}.webm" controls></video>

  <!-- <script>
    var video = document.querySelector('video');
    var assetId = "{{ id }}";
    var assets = [
      { url: "/uploads/" + assetId + ".webm", type: 'video/webm' },
      { url: "/uploads/audio-" + assetId + ".mp3", type: "audio/mp3" },
    ];
    // Need to be specific for Blink regarding codecs
    // ./mp4info frag_bunny.mp4 | grep Codec
    // var mimeCodec = 'video/mp4; codecs="avc1.42E01E, mp4a.40.2"';

    if ('MediaSource' in window) {
      var mediaSource = new MediaSource();
      video.src = URL.createObjectURL(mediaSource);
      mediaSource.addEventListener('sourceopen', sourceOpen);
    } else {
      console.error('Unsupported Browser');
    }

    function sourceOpen(_) {
      var mediaSource = this;
      for (let i = 0; i < assets.length; i++) {
        var assetURL = assets[i].url;
        var mimeCodec = assets[i].type;
        if (!MediaSource.isTypeSupported(mimeCodec)) continue;
        var sourceBuffer = mediaSource.addSourceBuffer(mimeCodec);
        fetchAB(assetURL, function (buf) {
          sourceBuffer.addEventListener('updateend', function (_) {
            mediaSource.endOfStream();
            video.play();
          });
          sourceBuffer.appendBuffer(buf);
        });
      }
    }

    function fetchAB(url, cb) {
      var xhr = new XMLHttpRequest;
      xhr.open('get', url);
      xhr.responseType = 'arraybuffer';
      xhr.onload = function () {
        cb(xhr.response);
      };
      xhr.send();
    }
  </script> -->
</body>

</html>